<template>
	<view>
		<view style="background: #fff; height: 100%">
			<u-navbar :is-back="false" title="录码收单">
				<view class="slot">
					<!-- 我的 -->
					<view class="slot_left" @click="bindridermy">
						<image :src="avatar" style="border-radius: 50%"></image>
					</view>
					<!-- 下线 -->
					<view class="slot_content"></view>
				</view>
			</u-navbar>
			<view>
				<input type="text" v-model="shoudanma" class="impute padding-lr" placeholder="请输入收单码" @input="onInput" @confirm="shouhuiche" />
			</view>
			<!-- <view class="box_btn5" @click="fanhuiShang">返回</view> -->
			<view class="content">
				<!-- 新任务 -->
				<view class="tabs_box" :class="{ dis: current == 0 }">
					<!-- 下线中 -->
					<view class="list_box" v-for="(item, index) in list_box" :key="index" v-show="seen" @click="binddetails(item.indentNumber, item.indentType)">
						<view class="order_title" v-if="item.expectDeliveryTime">预约订单：{{ item.expectDeliveryTime }}送达</view>
						<view class="part1">
							<view class="box_one" v-if="item.indentType == 1">帮我送</view>
							<view class="box_one" v-if="item.indentType == 2">帮我取</view>
							<view class="box_one" v-if="item.indentType == 3">同城帮买</view>
							<view class="box_one" v-if="item.indentType == 4">同城服务</view>
							<view class="box_one" v-if="item.indentType == 5">同城外卖</view>
							<view class="box_two" v-if="item.indentType == 4 && item.serviceType">{{ item.serviceType }}</view>
							<view class="box_two box_two1" v-if="item.itemType != null || item.itemWeight != null">{{ item.itemType }}&nbsp;{{ item.itemWeight }}</view>
							<view class="box_three" v-if="item.indentType == 4 && item.tool">{{ item.tool }}</view>
						</view>
						<view style="padding: 0 30rpx; font-size: 20px" v-if="item.orderPaySequence">#{{ item.orderPaySequence }}</view>
						<view style="padding: 0 10rpx; color: #ff7f00">{{ item.shopName }}</view>
						<view style="padding: 0 10rpx">订单编号：{{ item.indentNumber }}</view>
						<!-- 同城服务 -->
						<view class="part2" v-if="item.indentType == 4">
							<view class="address_name">{{ item.userAddressDetail }}({{ item.userProvince }}{{ item.userCity }}{{ item.userDistrict }})</view>
							<!-- <view class="name">{{item.deliveryUserName}}<text>{{item.deliveryUserPhone}}</text></view> -->
						</view>
						<!-- 同城帮买 就近-->
						<view class="part2" v-if="item.indentType == 3 && item.buyType == 0">
							<view class="address_name">{{ item.userAddressDetail }}</view>
							<view class="name">
								<text>{{ item.userProvince }}{{ item.userCity }}{{ item.userDistrict }}</text>
							</view>
						</view>
						<!-- 同城帮买 指定 -->
						<view class="part2" v-if="item.indentType == 3 && item.buyType == 1">
							<view class="box_add">
								<view class="add_name">
									<view class="sh_name">
										{{ item.shopAddressDetail }}
									</view>
									<view class="xs_add">{{ item.shopProvince }}{{ item.shopCity }}{{ item.shopDistrict }}</view>
								</view>
							</view>
							<view class="jiantou">
								<image src="../../static/rider/jiantou.png"></image>
							</view>
							<view class="box_add">
								<view class="add_name">
									<view class="sh_name">
										{{ item.userAddressDetail }}
									</view>
									<view class="xs_add">{{ item.userProvince }}{{ item.userCity }}{{ item.userDistrict }}</view>
								</view>
							</view>
						</view>
						<!-- 帮送 帮区-->
						<view class="part2" v-if="item.indentType == 1 || item.indentType == 2">
							<view class="box_add">
								<view class="add_name">
									<view class="sh_name">
										{{ item.shopAddressDetail }}
									</view>
									<view class="xs_add">{{ item.shopProvince }}{{ item.shopCity }}{{ item.shopDistrict }}</view>
								</view>
							</view>
							<view class="jiantou">
								<image src="../../static/rider/jiantou.png"></image>
							</view>
							<view class="box_add">
								<view class="add_name">
									<view class="sh_name">{{ item.userProvince }}{{ item.userCity }}{{ item.userDistrict }}</view>
								</view>
							</view>
						</view>
						<!-- 同城外卖 -->
						<view class="part2" v-if="item.indentType == 5">
							<view class="address_name">{{ item.userAddressDetail }}({{ item.userProvince }}{{ item.userCity }}{{ item.userDistrict }})</view>
							<!-- <view class="name">{{item.deliveryUserName}}<text>{{item.deliveryUserPhone}}</text></view> -->
						</view>

						<!--  -->
						<view class="part3">
							<view class="three_left">
								<!-- <image src="../../static/rider/icon_data.png"></image> -->
								<!-- <text v-if="item.indentType==1 ||item.indentType==2">{{item.predictTime}}分钟内送达</text> -->
								<!-- <text v-if="item.indentType==3">{{item.buyTime}}分钟内送达</text> -->
								<!-- <text v-if="item.indentType==4">{{item.visitTime}}分钟内送达</text> -->
							</view>
							<view class="three_right">¥{{ item.errandMoney }}</view>
						</view>
						<view class="part4">
							<view class="box_btn" @click.stop="bindorder1">收单</view>
						</view>
					</view>
					<!-- 上线 -->
					<view
						class="list_box"
						v-for="(item, index) in list_box"
						:key="index"
						v-if="!seen && !jiedanNo && (item.indentState == '4' || item.indentState == '2' || item.indentState == '3')"
					>
						<view v-if="!seen && item.indentState == '2'" @click="binddetails(item.indentNumber, item.indentType)">
							<view class="part1">
								<view class="box_one" v-if="item.indentType == 1">帮我送</view>
								<view class="box_one" v-if="item.indentType == 2">帮我取</view>
								<view class="box_one" v-if="item.indentType == 3">同城帮买</view>
								<view class="box_one" v-if="item.indentType == 4">同城服务</view>
								<view class="box_one" v-if="item.indentType == 5">同城外卖</view>
								<view class="box_two" v-if="item.indentType == 4 && item.serviceType">{{ item.serviceType }}</view>
								<view class="box_two box_two1" v-if="item.itemType != null || item.itemWeight != null">{{ item.itemType }}&nbsp;{{ item.itemWeight }}</view>
								<view class="box_three" v-if="item.indentType == 4 && item.tool">{{ item.tool }}</view>
								<view class="box_two box_two1" v-if="item.indentType == 3">{{ item.buyType == 0 ? '就近购买' : '指定地点购买' }}</view>
								<view style="position: absolute; right: 0; font-size: 22rpx; color: #999">{{ item.createTime }}</view>
							</view>
							<view style="padding: 0 30rpx; font-size: 20px" v-if="item.orderPaySequence">#{{ item.orderPaySequence }}</view>
							<view style="padding: 0 30rpx; color: #ff7f00">{{ item.shopName }}</view>
							<view style="padding: 0 30rpx">订单编号：{{ item.indentNumber }}</view>
							<!-- 同城服务 -->
							<view class="part2" v-if="item.indentType == 4">
								<view class="box_add">
									<view class="distance" v-if="item.distancessd != '0.0m'">
										<view>{{ item.distancessd }}</view>
									</view>
									<view class="add_name">
										<view class="address_name">{{ item.userAddressDetail }}({{ item.userProvince }}{{ item.userCity }}{{ item.userDistrict }})</view>
										<!-- <view class="name">{{item.deliveryUserName}}<text>{{item.deliveryUserPhone}}</text>
									</view> -->
									</view>
								</view>
							</view>
							<!-- 同城帮买 就近-->
							<view class="part2" v-if="item.indentType == 3 && item.buyType == 0">
								<view class="box_add">
									<view class="distance" v-if="item.distancessd != '0.0m'">
										<view>{{ item.distancessd }}</view>
									</view>
									<view class="add_name">
										<view class="address_name">{{ item.userAddressDetail }}</view>
										<view class="name">
											<text>{{ item.userProvince }}{{ item.userCity }}{{ item.userDistrict }}{{ item.userAddressDetail }}</text>
										</view>
									</view>
								</view>
							</view>
							<!-- 同城帮买 指定 -->
							<view class="part2" v-if="item.indentType == 3 && item.buyType == 1">
								<view class="box_add">
									<view class="distance" v-if="item.distancess != '0.0m'">
										<view>{{ item.distancess }}</view>
									</view>
									<view class="add_name">
										<view class="sh_name">
											{{ item.shopAddressDetail }}
											<!-- {{item.shopProvince?item.shopProvince:''}}{{item.shopCity?item.shopCity:''}}{{item.shopDistrict?item.shopDistrict:''}} -->
										</view>
										<view class="xs_add">
											{{ item.shopProvince ? item.shopProvince : '' }}{{ item.shopCity ? item.shopCity : '' }}{{ item.shopDistrict ? item.shopDistrict : '' }}
										</view>
									</view>
								</view>
								<view class="jiantou">
									<image src="../../static/rider/jiantou.png"></image>
									<!-- <view>{{item.distance}}</view> -->
								</view>
								<view class="box_add">
									<view class="distance" v-if="item.distancessd != '0.0m'">
										<view>{{ item.distancessd }}</view>
									</view>
									<view class="add_name">
										<view class="sh_name">{{ item.userProvince }}{{ item.userCity }}{{ item.userDistrict }}{{ item.userAddressDetail }}</view>
									</view>
								</view>
							</view>
							<!-- 帮送 帮取-->
							<view class="part2" v-if="item.indentType == 1 || item.indentType == 2">
								<view class="box_add">
									<view class="distance" v-if="item.distancess != '0.0m'">
										<view>{{ item.distancess }}</view>
									</view>
									<view class="add_name">
										<view class="sh_name">
											{{ item.shopAddressDetail }}
											<!-- {{item.shopProvince?item.shopProvince:''}}{{item.shopCity?item.shopCity:''}}{{item.shopDistrict?item.shopDistrict:''}} -->
										</view>
										<view class="xs_add">
											{{ item.shopProvince ? item.shopProvince : '' }}{{ item.shopCity ? item.shopCity : '' }}{{ item.shopDistrict ? item.shopDistrict : '' }}
										</view>
									</view>
								</view>
								<view class="jiantou">
									<image src="../../static/rider/jiantou.png"></image>
									<!-- <view>{{item.distance}}</view> -->
								</view>
								<view class="box_add">
									<view class="distance" v-if="item.distancessd != '0.0m'">
										<view>{{ item.distancessd }}</view>
									</view>
									<view class="add_name">
										<view class="sh_name">{{ item.userProvince }}{{ item.userCity }}{{ item.userDistrict }}{{ item.userAddressDetail }}</view>
									</view>
								</view>
							</view>
							<!-- 同城外卖 -->
							<view class="part2" v-if="item.indentType == 5">
								<view class="box_add">
									<view class="distance" v-if="item.distancess != '0.0m'">
										<view>{{ item.distancess }}</view>
									</view>
									<view class="add_name">
										<view class="sh_name">
											{{ item.shopAddressDetail }}
										</view>
										<view class="xs_add">
											{{ item.shipAddress ? item.shipAddress : '' }}
										</view>
									</view>
								</view>
								<view class="jiantou">
									<image src="../../static/rider/jiantou.png"></image>
									<!-- <view>{{item.distance}}</view> -->
								</view>
								<view class="box_add">
									<view class="distance" v-if="item.distancessd != '0.0m'">
										<view>{{ item.distancessd }}</view>
									</view>
									<view class="add_name">
										<view class="sh_name">{{ item.userProvince }}{{ item.userCity }}{{ item.userDistrict }}{{ item.userAddressDetail }}</view>
									</view>
								</view>
							</view>
							<view></view>
							<!--  -->
							<view class="part3">
								<view class="three_left" v-if="item.indentType == 4">
									<image src="../../static/rider/icon_data.png"></image>
									<text>预约时间：{{ item.sendOutTime ? item.sendOutTime : '立即送达' }}</text>
								</view>
								<view class="three_left" v-if="item.indentType != 4">
									<image src="../../static/rider/icon_data.png"></image>
									<text>送达时间：{{ item.sendOutTime ? item.sendOutTime : '立即送达' }}</text>
								</view>
								<view class="three_right" v-if="item.riderMoney">
									¥{{ item.riderMoney }}
									<!-- <text style="font-size: 20upx;">（<text
										v-if="item.prepayMoney">预付{{item.prepayMoney}}元</text>
									<text v-if="item.tip">小费{{item.tip}}元</text> 跑腿费{{item.errandMoney}}元）</text> -->
								</view>
								<view class="three_right" v-else>¥ 0</view>
							</view>
							<view class="part4">
								<view class="box_btn1" @click.stop="bindorder(item)">收单</view>
							</view>
						</view>
						<!-- 待取货/配送中 -->
						<view v-if="!seen && (item.indentState == '4' || item.indentState == '3')" @click="bindorderDetail(item.indentNumber, item.indentId)">
							<view class="order_success" v-if="item.indentState == '2'">
								<view class="order_name">待支付领取</view>
								<view class="order_data">{{ item.receivingTime }}</view>
							</view>
							<view class="order_success" v-if="item.indentState == '3'">
								<view class="order_name">待取货</view>
								<view class="order_data">{{ item.receivingTime }}</view>
							</view>
							<view class="order_success" v-if="item.indentState == '4'">
								<view class="order_name">配送中</view>
								<view class="order_data">{{ item.receivingTime }}</view>
							</view>
							<view class="order_success" v-if="item.indentState == '5'">
								<view class="order_name">已送达，客户待确认</view>
								<view class="order_data">{{ item.receivingTime }}</view>
							</view>
							<view class="order_success" v-if="item.indentState == '6'">
								<view class="order_name">客户已确认</view>
								<view class="order_data">{{ item.receivingTime }}</view>
							</view>
							<view class="order_success" v-if="item.indentState == '7'">
								<view class="order_name">已完成</view>
								<view class="order_data">{{ item.receivingTime }}</view>
							</view>
							<view class="order_success" v-if="item.indentState == '9'">
								<view class="order_name">已取消</view>
								<view class="order_data">{{ item.receivingTime }}</view>
							</view>
							<u-line color="#E6E6E6" />
							<view class="order_city">
								<view class="city_type">
									<view class="type_name" v-if="item.indentType == 1">帮我送</view>
									<view class="type_name" v-if="item.indentType == 2">帮我取</view>
									<view class="type_name" v-if="item.indentType == 3">同城帮买</view>
									<view class="type_name" v-if="item.indentType == 4">同城服务</view>
									<view class="type_name" v-if="item.indentType == 5">同城外卖</view>
									<view class="city_text" v-if="item.itemType">{{ item.itemType }}</view>
								</view>
								<view style="padding: 0 30rpx; font-size: 20px" v-if="item.orderPaySequence">#{{ item.orderPaySequence }}</view>
								<view style="padding: 0 30rpx; color: #ff7f00">{{ item.shopName }}</view>
								<view style="padding: 0 30rpx">订单编号：{{ item.indentNumber }}</view>
								<!-- 帮我送/帮我取 -->
								<view class="city_address" v-if="item.indentType == 1 || item.indentType == 2">
									<view class="fh_box">
										<view class="fh_image">
											<image src="../../static/image/icon_f.png"></image>
										</view>
										<view class="box">
											<!-- <view style="padding:0 30rpx;font-size: 20px;">#9</view> -->
											<view class="fh_name">{{ item.shopAddressDetail }}</view>
											<view class="fh_type">
												{{ item.shopName }}
												<text>{{ item.shopPhone }}</text>
											</view>
										</view>
									</view>
									<view class="sh_box">
										<view class="sh_image">
											<image src="../../static/image/icon_s.png"></image>
										</view>
										<view class="box">
											<view class="sh_name">{{ item.userAddressDetail }}</view>
											<view class="sh_type">
												{{ item.userName }}
												<text>{{ item.userPhone }}</text>
											</view>
										</view>
									</view>
								</view>
								<!-- 同城帮买 -->
								<view class="city_address" v-if="item.indentType == 3">
									<view class="fh_box" v-if="item.buy_type == 1">
										<view class="fh_image">
											<image src="../../static/image/icon_f.png"></image>
										</view>
										<view class="box">
											<!-- <view style="padding:0 30rpx;font-size: 20px;" v-if="item.orderPaySequence">#{{item.orderPaySequence}}</view> -->
											<view class="fh_name">{{ item.shopAddressDetail }}</view>
											<view class="fh_type">
												{{ item.shopName }}
												<text>{{ item.shopPhone }}</text>
											</view>
										</view>
									</view>
									<view class="sh_box">
										<view class="sh_image">
											<image src="../../static/image/icon_s.png"></image>
										</view>
										<view class="box">
											<view class="sh_name">{{ item.userAddressDetail }}</view>
											<view class="sh_type">
												{{ item.userName }}
												<text>{{ item.userPhone }}</text>
											</view>
										</view>
									</view>
								</view>
								<!-- 同城服务 -->
								<view class="city_address" v-if="item.indentType == 4">
									<view class="sh_box">
										<view class="sh_image">
											<image src="../../static/image/icon_s.png"></image>
										</view>
										<view class="box">
											<view class="sh_name">{{ item.userAddressDetail }}</view>
											<view class="sh_type">
												{{ item.userName }}
												<text>{{ item.userPhone }}</text>
											</view>
										</view>
									</view>
								</view>
								<!-- 同城外卖 -->
								<view class="city_address" v-if="item.indentType == 5">
									<view class="fh_box">
										<view class="fh_image">
											<image src="../../static/image/icon_f.png"></image>
										</view>
										<view class="box">
											<!-- <view style="padding:0 30rpx;font-size: 20px;" v-if="item.orderPaySequence">#{{item.orderPaySequence}}</view> -->
											<view class="fh_name">{{ item.shopAddressDetail }}</view>
											<view class="fh_type">
												{{ item.shopName }}
												<text>{{ item.shopPhone }}</text>
											</view>
										</view>
									</view>
									<view class="sh_box">
										<view class="sh_image">
											<image src="../../static/image/icon_s.png"></image>
										</view>
										<view class="box">
											<view class="sh_name">{{ item.userAddressDetail }}</view>
											<view class="sh_type">
												{{ item.userName }}
												<text>{{ item.userPhone }}</text>
											</view>
										</view>
									</view>
								</view>
							</view>
							<u-line color="#E6E6E6" />
							<view class="order_btn">
								<view class="btn1" v-if="item.indentState == '3'" @click.stop="quxiao(item.indentNumber, index)">取消订单</view>
								<view class="btn2" @click.stop="zhuanOrder(item.indentId)" v-if="item.indentState == '3'">转单</view>
								<view class="btn1" v-if="item.indentState == '6'">客户待确认</view>
								<view class="btn2" v-if="item.indentState == '3'" @click.stop="bindorder(item)">确认取货</view>
								<!-- <view class="flex"
								v-if="item.status == 3&&item.orderType==2&&item.autoSendOrder ==1 &&item.deliveryImgs==null">
								<view class="btn_pai" @click.stop="paiOrder(item)">拍照</view>
							</view> -->
								<view class="flex" v-if="item.indentState == '4' || (item.indentState == '7' && item.deliveryImgs == null)">
									<view class="btn_pai" @click.stop="paiOrder(item)">拍照</view>
								</view>
								<view class="btn2" style="margin-left: 10px" v-if="item.indentState == '4'" @click.stop="shouhuo(item)">确认送达</view>
								<view class="btn2" v-if="item.indentState == '9'">已取消</view>
							</view>
						</view>
					</view>
					<!-- 配送中 -->
					<!-- <view class="order_box" v-for="(item,index) in list_box" :key="index" v-if="!seen &&item.indentState=='4'"
					@click="bindorderDetail(item.indentNumber,item.indentId)">
					
				</view> -->
					<empty v-if="list_box.length == 0"></empty>
					<!-- 当前订单无法接的筛选条件 -->
					<view
						v-if="jiedanNo || (list_box.length == 1 && item.indentState != '4' && item.indentState != '2' && item.indentState != '3')"
						style="margin-top: 30%; margin-left: 38%"
						v-for="(item, index) in list_box"
						:key="index"
					>
						<image style="width: 200rpx; height: 200rpx" :src="Tupian('/qishou/wufajie.png')"></image>
						<view>当前订单无法接单</view>
					</view>
				</view>
			</view>

			<!-- 确认收货弹出框 -->
			<u-popup
				v-model="alertPhone"
				mode="center"
				border-radius="18"
				:closeable="closeable"
				close-icon="close-circle"
				close-icon-size="45"
				width="680rpx"
				height="540rpx"
				@close="onclose"
			>
				<view class="receipt_code">
					<view class="phone_title">图片凭证</view>
					<view class="phone_title2">请在确认外卖送达后、通过拍照，进行现场还原</view>
					<view>
						<view class="flex" style="overflow: hidden; flex-wrap: wrap">
							<view v-if="goodsPicture.length">
								<view class="margin-top flex margin-right-sm flex-wrap">
									<view
										class="flex"
										style="width: 200rpx; height: 200rpx; margin-right: 2rpx; position: relative"
										v-for="(image, index) in goodsPicture"
										:key="index"
									>
										<image :src="image" style="width: 100%; height: 100%"></image>
										<view style="z-index: 9; position: absolute; top: -15rpx; right: -15rpx" @click="removeImg(index, 'lb')">
											<u-icon name="close-circle-fill" color="#FCD202" size="50rpx"></u-icon>
										</view>
									</view>
								</view>
							</view>
							<view class="margin-top" @click="addImages(1)" v-if="goodsPicture.length <= 1">
								<view style="width: 200rpx; height: 200rpx; background: #f4f5f6" class="flex justify-center align-center">
									<view>
										<view class="text-center">
											<image :src="Tupian('/duanxin/addimg.png')" style="width: 65rpx; height: 55rpx"></image>
										</view>
										<view class="text-center text-black">添加图片</view>
									</view>
								</view>
							</view>
						</view>
					</view>
					<!-- <view class="receipt_code" v-if="alertduan">
					<view class="code_title">是否确认送达</view>
					<view class="code_title2">已选订单：1单</view>
					<view class="code_title2">通知形式：短信</view>
					<view class="code_title2">通知内容：{{duanxin[0].templateContent.substring(0, 21)}}{{qiPhone}}</view>
					<view class="sure" @click="querenSh">确认送达</view>
				</view> -->
					<view class="sure" @click="querenduanxin">确认拍照</view>
				</view>
			</u-popup>
			<!-- 确认收货选择短信框 -->
			<u-popup
				v-model="alertduan"
				v-if="alertduan"
				mode="center"
				border-radius="18"
				:closeable="closeable"
				close-icon="close-circle"
				close-icon-size="45"
				width="680rpx"
				height="600rpx"
				@close="onclose2"
			>
				<view class="receipt_code">
					<view class="code_title">是否确认送达</view>
					<view class="code_title2">已选订单：1单</view>
					<view class="code_title2">通知形式：短信</view>
					<view class="code_title2">通知内容：{{ duanxin[0].templateContent.substring(0, 21) }}{{ qiPhone }}</view>
					<view class="sure" @click="querenSh">确认送达</view>
				</view>
			</u-popup>
			<!-- 当前订单无法接的筛选条件 -->
			<u-popup v-model="jiedanNo" mode="center" border-radius="18" width="680rpx" height="600rpx">
				<view style="margin-top: 30%; margin-left: 34%">
					<image style="width: 200rpx; height: 200rpx" :src="Tupian('/qishou/wufajie.png')"></image>
					<view>当前订单无法接单</view>
				</view>
			</u-popup>

			<!-- 当前订单已接收 -->
			<u-popup v-model="saomaPeisong" v-if="saomaPeisong" mode="center" border-radius="18" width="680rpx" height="600rpx">
				<view>
					<view class="order_box" v-for="(item, index) in list2" :key="index" @click="bindorderDetail(item.indentNumber, item.indentId)">
						<view class="order_success" v-if="item.indentState == '2'">
							<view class="order_name">待支付领取</view>
							<view class="order_data">{{ item.receivingTime }}</view>
						</view>
						<view class="order_success" v-if="item.indentState == '3'">
							<view class="order_name">待取货</view>
							<view class="order_data">{{ item.receivingTime }}</view>
						</view>
						<view class="order_success" v-if="item.indentState == '4'">
							<view class="order_name">配送中</view>
							<view class="order_data">{{ item.receivingTime }}</view>
						</view>
						<view class="order_success" v-if="item.indentState == '5'">
							<view class="order_name">已送达，客户待确认</view>
							<view class="order_data">{{ item.receivingTime }}</view>
						</view>
						<view class="order_success" v-if="item.indentState == '6'">
							<view class="order_name">客户已确认</view>
							<view class="order_data">{{ item.receivingTime }}</view>
						</view>
						<view class="order_success" v-if="item.indentState == '7'">
							<view class="order_name">已完成</view>
							<view class="order_data">{{ item.receivingTime }}</view>
						</view>
						<view class="order_success" v-if="item.indentState == '9'">
							<view class="order_name">已取消</view>
							<view class="order_data">{{ item.receivingTime }}</view>
						</view>
						<u-line color="#E6E6E6" />
						<view class="order_city">
							<view class="city_type">
								<view class="type_name" v-if="item.indentType == 1">帮我送</view>
								<view class="type_name" v-if="item.indentType == 2">帮我取</view>
								<view class="type_name" v-if="item.indentType == 3">同城帮买</view>
								<view class="type_name" v-if="item.indentType == 4">同城服务</view>
								<view class="type_name" v-if="item.indentType == 5">同城外卖</view>
								<view class="city_text" v-if="item.itemType">{{ item.itemType }}</view>
							</view>
							<view style="padding: 0 30rpx; font-size: 20px" v-if="item.orderPaySequence">#{{ item.orderPaySequence }}</view>
							<view style="padding: 0 30rpx; color: #ff7f00">{{ item.shopName }}</view>
							<view style="padding: 0 30rpx">订单编号：{{ item.indentNumber }}</view>
							<!-- 帮我送/帮我取 -->
							<view class="city_address" v-if="item.indentType == 1 || item.indentType == 2">
								<view class="fh_box">
									<view class="fh_image">
										<image src="../../static/image/icon_f.png"></image>
									</view>
									<view class="box">
										<!-- <view style="padding:0 30rpx;font-size: 20px;">#9</view> -->
										<view class="fh_name">{{ item.shopAddressDetail }}</view>
										<view class="fh_type">
											{{ item.shopName }}
											<text>{{ item.shopPhone }}</text>
										</view>
									</view>
								</view>
								<view class="sh_box">
									<view class="sh_image">
										<image src="../../static/image/icon_s.png"></image>
									</view>
									<view class="box">
										<view class="sh_name">{{ item.userAddressDetail }}</view>
										<view class="sh_type">
											{{ item.userName }}
											<text>{{ item.userPhone }}</text>
										</view>
									</view>
								</view>
							</view>
							<!-- 同城帮买 -->
							<view class="city_address" v-if="item.indentType == 3">
								<view class="fh_box" v-if="item.buy_type == 1">
									<view class="fh_image">
										<image src="../../static/image/icon_f.png"></image>
									</view>
									<view class="box">
										<!-- <view style="padding:0 30rpx;font-size: 20px;" v-if="item.orderPaySequence">#{{item.orderPaySequence}}</view> -->
										<view class="fh_name">{{ item.shopAddressDetail }}</view>
										<view class="fh_type">
											{{ item.shopName }}
											<text>{{ item.shopPhone }}</text>
										</view>
									</view>
								</view>
								<view class="sh_box">
									<view class="sh_image">
										<image src="../../static/image/icon_s.png"></image>
									</view>
									<view class="box">
										<view class="sh_name">{{ item.userAddressDetail }}</view>
										<view class="sh_type">
											{{ item.userName }}
											<text>{{ item.userPhone }}</text>
										</view>
									</view>
								</view>
							</view>
							<!-- 同城服务 -->
							<view class="city_address" v-if="item.indentType == 4">
								<view class="sh_box">
									<view class="sh_image">
										<image src="../../static/image/icon_s.png"></image>
									</view>
									<view class="box">
										<view class="sh_name">{{ item.userAddressDetail }}</view>
										<view class="sh_type">
											{{ item.userName }}
											<text>{{ item.userPhone }}</text>
										</view>
									</view>
								</view>
							</view>
							<!-- 同城外卖 -->
							<view class="city_address" v-if="item.indentType == 5">
								<view class="fh_box">
									<view class="fh_image">
										<image src="../../static/image/icon_f.png"></image>
									</view>
									<view class="box">
										<!-- <view style="padding:0 30rpx;font-size: 20px;" v-if="item.orderPaySequence">#{{item.orderPaySequence}}</view> -->
										<view class="fh_name">{{ item.shopAddressDetail }}</view>
										<view class="fh_type">
											{{ item.shopName }}
											<text>{{ item.shopPhone }}</text>
										</view>
									</view>
								</view>
								<view class="sh_box">
									<view class="sh_image">
										<image src="../../static/image/icon_s.png"></image>
									</view>
									<view class="box">
										<view class="sh_name">{{ item.userAddressDetail }}</view>
										<view class="sh_type">
											{{ item.userName }}
											<text>{{ item.userPhone }}</text>
										</view>
									</view>
								</view>
							</view>
						</view>
						<u-line color="#E6E6E6" />
						<view class="order_btn">
							<view class="btn1" v-if="item.indentState == '3'" @click.stop="quxiao(item.indentNumber, index)">取消订单</view>
							<view class="btn2" @click="zhuanOrder(item.indentId)" v-if="item.indentState == '3'">转单</view>
							<view class="btn1" v-if="item.indentState == '6'">客户待确认</view>
							<view class="btn2" v-if="item.indentState == '3'" @click.stop="quhuo(item.indentId, index)">确认取货</view>
							<!-- <view class="flex"
							v-if="item.status == 3&&item.orderType==2&&item.autoSendOrder ==1 &&item.deliveryImgs==null">
							<view class="btn_pai" @click.stop="paiOrder(item)">拍照</view>
						</view> -->
							<view class="flex" v-if="item.indentState == '4' || (item.indentState == '7' && item.deliveryImgs == null)">
								<view class="btn_pai" @click.stop="paiOrder(item)">拍照</view>
							</view>
							<view class="btn2" style="margin-left: 10px" v-if="item.indentState == '4'" @click.stop="shouhuo(item, index)">确认送达</view>
							<view class="btn2" v-if="item.indentState == '9'">已取消</view>
						</view>
					</view>
					<empty v-if="list2.length == 0"></empty>
				</view>
			</u-popup>
			<!-- 转单 -->
			<u-popup v-model="showOrder" mode="center" border-radius="18" :closeable="closeable" close-icon="close-circle" close-icon-size="45" width="580rpx" height="600rpx">
				<view class="receipt_code">
					<view class="code_title">填写转单信息（二选一即可）</view>
					<u-input v-model="phone" type="number" placeholder="填写转单人手机号码" :border="border" />
					<u-input v-model="zhuanName" type="text" placeholder="填写转单人姓名" :border="border" />
					<view class="sure" style="margin-top: 40rpx" @click="zhuandan">确定</view>
				</view>
			</u-popup>
		</view>
		<!-- 悬浮球 -->
		<!-- <view style="width: 140rpx;height: 140rpx;position: fixed;bottom: 60px;right: 20rpx;">
			<image :src="Tupian('/qishou/sao.png')" style="width: 100%;height: 100%;" @click="saoma()" mode="">
			</image>
		</view> -->

		<!-- 用于图片压缩的canvas画布 -->
		<canvas
			:style="{
				width: cw + 'px',
				height: cw + 'px',
				position: 'absolute',
				zIndex: -1,
				left: '-10000rpx',
				top: '-10000rpx'
			}"
			canvas-id="zipCanvas"
		></canvas>
		<!--画布结束-->
	</view>
</template>

<script>
import empty from '@/components/empty'
import { requestAndroidPermission, gotoAppPermissionSetting } from '@/components/permission.js'
import configdata from '@/common/config.js'
import getLessLimitSizeImage from '@/utils/imageCompress.js'
export default {
	components: {
		empty
	},
	data() {
		return {
			Authorization: false,
			alertPhone: false, //确认收货拍照弹出框
			alertduan: false, //确认收货选择短信框
			privacyContractName: '',
			xddcheck: true,
			avatar: '', //头像
			closeable: true,
			showModal: false,
			// head
			seen: true,
			current: 0,
			page2: 1,
			page3: 1,
			list_box: [],
			longitude: '', //经度
			latitude: '', //纬度
			indentType: null, //订单类型
			totalCount2: 0, //最后一页
			totalCount3: 0, //最后一页
			indentState: 3,
			lists: [],
			shows: false,
			shouhuoma: '',
			userId: '', //用户id
			checkCertification: '', //是否实名认证
			receivingPettern: '2', //1近单模式  2同城模式
			province: '',
			city: '',
			district: '',
			time: '',
			distance: '',
			jiedanSuccess: '',
			jiedan: '',
			arr: [],
			showModal111: true,
			orderNum: 0,
			goodsPicture: [],
			count: 3,
			duanxin: [], //发送的短信
			qiPhone: '', //骑手电话
			shopId: '',
			shoudanma: '', //收单码
			jiedanNo: false, //当前不能接
			showOrder: false,
			phone: '',
			zhuanName: '', //转单人姓名

			saomaPeisong: false,
			//画板边长默认是屏幕宽度，正方形画布
			cw: uni.getSystemInfoSync().windowWidth
		}
	},
	onHide() {
		clearInterval(this.time)
	},
	onLoad() {
		var dizhi = uni.getStorageSync('dizhi')
		if (dizhi.longitude) {
			this.longitude = dizhi.longitude
			this.latitude = dizhi.latitude
		}
		// this.taskData()
		let that = this
		this.time = setInterval(function () {
			// that.taskData()
			that.getLocation()
		}, 5000)

		// #ifdef MP-WEIXIN
		try {
			wx.getPrivacySetting({
				success: (res) => {
					console.log('是否需要授权：', res.needAuthorization, '隐私协议的名称为：', res.privacyContractName)
					if (res.needAuthorization) {
						that.privacyContractName = res.privacyContractName
						// this.$refs.popusAuthorization.open();
						that.Authorization = true
					}
				},
				fail: () => {},
				complete: () => {}
			})
		} catch (e) {
			//TODO handle the exception
		}
		// #endif
	},
	onShow() {
		let that = this
		that.getOrderNum()

		//骑手端接单成功通知
		that.$Request.getT('/app/common/type/310').then((res) => {
			if (res.code === 0) {
				// this.jiedan = res.data.value
				that.arr.push(res.data.value)
			}
		})
		//骑手端订单完成通知
		that.$Request.getT('/app/common/type/311').then((res) => {
			if (res.code === 0) {
				// this.jiedanSuccess = res.data.value
				that.arr.push(res.data.value)
			}
		})
		//用户端骑手转单订单通知 338
		that.$Request.getT('/app/common/type/338').then((res) => {
			if (res.code === 0) {
				that.arr.push(res.data.value)
			}
		})
		//用户端骑手转单订单通知 335
		// that.$Request.getT('/app/common/type/335').then(res => {
		// 	if (res.code === 0) {
		// 		that.arr.push(res.data.value)
		// 	}
		// });

		that.avatar = uni.getStorageSync('avatar') ? uni.getStorageSync('avatar') : '../../static/logo.png'
		that.userId = uni.getStorageSync('userId')
		if (that.userId) {
			console.log(that.userId, '用户id')
			uni.getLocation({
				type: 'gcj02', //返回可以用于uni.openLocation的经纬度
				success: function (res) {
					console.log('当前位置的经度：' + res.longitude)
					console.log('当前位置的纬度：' + res.latitude)
					
					uni.request({
						url: that.config("ROOAA") +'geocoder?postStr={%27ver%22:%221%22,%22lon%22:'+res.longitude+',%22lat%22:'+res.latitude+'}&type=geocode&tk=ad07f7a00b20b7f4cd4af3b6f7590330',
						success: res => {
							console.log(res,'ppp运行')
							that.province = res.data.result.addressComponent.province
							that.city = res.data.result.addressComponent.city
							that.district = res.data.result.addressComponent.county
						},
						fail: err => {
							console.log("请求超时");
							console.log(err); 
						},
						// complete: () => { //无论成功都会调用
						// 	uni.hideLoading()
						// }
					})
					// let data = {
					// 	lat: res.latitude,
					// 	lng: res.longitude
					// }

					// that.$Request.getT('/app/Login/selectCity', data).then((res) => {
					// 	if (res.code == 0) {
					// 		that.province = res.data.province
					// 		that.city = res.data.city
					// 		that.district = res.data.district
					// 	}
					// })
				},
				fail(e) {
					uni.hideLoading()
					uni.showModal({
						title: '温馨提示',
						content: '您的定位权限未开启，请开启后再来操作吧！',
						showCancel: true,
						cancelText: '取消',
						confirmText: '确认',
						success: (res) => {
							if (res.confirm) {
								// #ifdef MP-WEIXIN
								uni.openSetting({
									// 打开设置页
									success(rea) {
										console.log(rea.authSetting)
									}
								})
								// #endif
								// #ifdef APP-PLUS
								gotoAppPermissionSetting()
								// #endif
							}
						}
					})
				}
			})

			that.getUserInfo()
		}
		// #ifdef MP-WEIXIN
		//订阅
		if (that.userId) {
			if (that.showModal111) {
				that.openMsg()
			}
		}
		// #endif
	},
	methods: {
		//扫码取单，订单直接变为配送中
		saoma() {
			uni.showLoading({
				title: '扫码中...',
				mask: true // 是否显示透明蒙层，防止触摸穿透
			})
			var that = this
			wx.scanCode({
				onlyFromCamera: false, // 只允许从相机扫码
				success(res) {
					console.log('扫码成功：' + JSON.stringify(res) + res.result)
					that.shoudanma = res.result
					setTimeout(function () {
						that.saomaCha()
					}, 700)
				}
			})
			uni.hideLoading()
		},
		// 扫码查询订单列表
		saomaCha() {
			uni.showLoading({
				title: '加载中',
				mask: true // 是否显示透明蒙层，防止触摸穿透
			})
			var that = this
			that.$Request
				.getT('/app/tbindent/selectTbIndentPage', {
					page: 1,
					limit: 10,
					acquireCode: that.shoudanma
				})
				.then((res) => {
					console.log(res, 'lk')
					uni.hideLoading()
					if (res.data) {
						if (res.data.list.length > 0) {
							for (var i = 0; i < res.data.list.length; i++) {
								if (res.data.list[i].distancess > 1000) {
									res.data.list[i].distancess = Number(res.data.list[i].distancess / 1000).toFixed(2) + 'km'
								} else {
									if (res.data.list[i].distancess == '0') {
										res.data.list[i].distancess = '0m'
									} else {
										res.data.list[i].distancess = Number(res.data.list[i].distancess).toFixed(1) + 'm'
									}
								}

								if (res.data.list[i].distancessd > 1000) {
									res.data.list[i].distancessd = Number(res.data.list[i].distancessd / 1000).toFixed(2) + 'km'
								} else {
									if (res.data.list[i].distancessd == '0') {
										res.data.list[i].distancessd = '0m'
									} else {
										res.data.list[i].distancessd = Number(res.data.list[i].distancessd).toFixed(1) + 'm'
									}
								}
							}
						}
						var saomajie = []
						saomajie = res.data.list
						this.list2 = res.data.list
						console.log(saomajie, '列表')
						if (saomajie[0].indentState == '2' || saomajie[0].indentState == '3') {
							//收单
							that.bindorder()
						} else if (saomajie[0].indentState == '4') {
							that.saomaPeisong = true
						} else {
							that.jiedanNo = true
							that.shoudanma = ''
						}
					} else if (res.msg == '当前订单无法接单') {
						that.jiedanNo = true
						that.shoudanma = ''
					}
					that.$forceUpdate()
					uni.stopPullDownRefresh()
					// 加载提示关闭
					uni.hideLoading()
				})
		},
		//返回上一页
		fanhuiShang() {
			uni.navigateTo({
				url: '/pages/index/index'
			})
		},
		//获取搜索框数据
		onInput(event) {
			this.shoudanma = event.target.value
			// if(this.shoudanma.length>=4){
			// 	this.sousuoList()
			// }
		},
		//搜索框回车
		shouhuiche() {
			this.sousuoList()
		},
		//搜索结果
		sousuoList() {
			uni.showLoading({
				title: '加载中',
				mask: true // 是否显示透明蒙层，防止触摸穿透
			})
			var that = this
			var data = {
				page: that.page2,
				limit: 10,
				acquireCode: that.shoudanma
			}
			console.log(data, 'data')
			that.$Request
				.getT('/app/tbindent/selectTbIndentPage', {
					page: that.page2,
					limit: 10,
					acquireCode: that.shoudanma
				})
				.then((res) => {
					console.log(res, 'lk')
					uni.hideLoading()
					if (res.data) {
						if (res.data.list.length > 0) {
							for (var i = 0; i < res.data.list.length; i++) {
								if (res.data.list[i].distancess > 1000) {
									res.data.list[i].distancess = Number(res.data.list[i].distancess / 1000).toFixed(2) + 'km'
								} else {
									if (res.data.list[i].distancess == '0') {
										res.data.list[i].distancess = '0m'
									} else {
										res.data.list[i].distancess = Number(res.data.list[i].distancess).toFixed(1) + 'm'
									}
								}

								if (res.data.list[i].distancessd > 1000) {
									res.data.list[i].distancessd = Number(res.data.list[i].distancessd / 1000).toFixed(2) + 'km'
								} else {
									if (res.data.list[i].distancessd == '0') {
										res.data.list[i].distancessd = '0m'
									} else {
										res.data.list[i].distancessd = Number(res.data.list[i].distancessd).toFixed(1) + 'm'
									}
								}
							}
						}
						that.totalCount2 = res.data.totalCount
						if (that.page2 == 1) {
							that.list_box = res.data.list
						} else {
							that.list_box = that.list_box.concat(res.data.list)
						}
						console.log('list_box', that.list_box)
					} else if (res.msg == '当前订单无法接单') {
						this.jiedanNo = true
					}
					that.$forceUpdate()
					uni.stopPullDownRefresh()
					// 加载提示关闭
					uni.hideLoading()
				})
		},
		//获取最大接单数
		getOrderNum() {
			// orderNum
			this.$Request.get('/app/common/type/342').then((res) => {
				if (res.code == 0 && res.data.value) {
					this.orderNum = res.data.value
				}
			})
		},
		// 上传骑手位置
		getLocation() {
			if (this.userId) {
				let data = {
					lng: this.longitude,
					lat: this.latitude,
					userId: this.userId,
					province: this.province,
					city: this.city,
					district: this.district
				}
				this.$Request.getT('/timedtask/riderLocation', data).then((res) => {
					if ((res.code = 0)) {
						console.log('上传骑手位置')
					}
				})
			}
		},

		//获取用户信息
		getUserInfo() {
			let that = this
			that.$Request.getT('/app/userinfo/findUserInfoById').then((res) => {
				if (res.code == 0 && res.data) {
					that.seen = res.data.onLineFlag == 1 ? false : true
					// that.xddcheck = res.data.isSendMsg == 2 ? false : true;
					that.checkCertification = res.data.checkCertification
					this.qiPhone = res.data.phone
					uni.setStorageSync('phone', res.data.phone)
					uni.setStorageSync('checkCertification', res.data.checkCertification)

					uni.getLocation({
						type: 'wgs84',
						success: function (res) {
							console.log('当前位置的经度：' + res.longitude)
							console.log('当前位置的纬度：' + res.latitude)
							that.longitude = res.longitude
							that.latitude = res.latitude
							that.locationUpdate(that.longitude, that.latitude)
							// if (that.current == 0) {
							// 	that.taskData()
							// 	//
							// } else if (that.current == 1) {
							// 	that.indentState = 3
							// 	that.taskDataJ()
							// } else if (that.current == 2) {
							// 	that.indentState = 4
							// 	that.taskDataJ()
							// }
						}
					})
				}
			})
		},
		// 更新骑手位置信息
		locationUpdate(lng, lat) {
			let that = this
			// setInterval(function() {
			that.$Request
				.postT('/app/userinfo/updateCoordinate', {
					lng: lng,
					lat: lat
				})
				.then((res) => {
					console.log('位置信息更新', res)
					// that.taskData()
					// that.taskData()
				})
			// }, 600000)
		},
		// 跳转订单详情
		binddetails(id, types) {
			// #ifdef MP-WEIXIN
			if (uni.getStorageSync('sendMsg')) {
				uni.requestSubscribeMessage({
					tmplIds: this.arr,
					success(re) {
						// console.log(re,'**********')
						var datas = JSON.stringify(re)
						if (datas.indexOf('accept') != -1) {
							console.log(re)
						}
					},
					fail: (res) => {
						console.log(res)
					}
				})
			}
			// #endif
			console.log('```', id, types)
			if (types == 1 || types == 2 || types == 3 || types == 5) {
				uni.navigateTo({
					url: '/pages/index/buyOrder/buyOrder?id=' + id
				})
			} else {
				uni.navigateTo({
					url: '/pages/index/cityOrder/cityOrder?id=' + id
				})
			}
		},
		// 接单
		bindorder(item) {
			let that = this
			if (!that.userId) {
				uni.showModal({
					title: '提示',
					content: '请先登录后再接单',
					success: function (res) {
						if (res.confirm) {
							console.log('用户点击确定')
							uni.navigateTo({
								url: '/pages/login/login'
							})
						} else if (res.cancel) {
							console.log('用户点击取消')
						}
					}
				})
				return
			}
			// #ifdef MP-WEIXIN
			if (uni.getStorageSync('sendMsg')) {
				uni.requestSubscribeMessage({
					tmplIds: this.arr,
					success(re) {
						// console.log(re,'**********')
						var datas = JSON.stringify(re)
						if (datas.indexOf('accept') != -1) {
							console.log(re)
						}
					},
					fail: (res) => {
						console.log(res)
					}
				})
			}
			// #endif
			if (that.checkCertification == null) {
				uni.showModal({
					title: '提示',
					content: '请先实名认证后再接单',
					success: function (res) {
						if (res.confirm) {
							console.log('用户点击确定')
							uni.navigateTo({
								url: '/pages/riderMy/approve/approve'
							})
						} else if (res.cancel) {
							console.log('用户点击取消')
						}
					}
				})
				return
			}
			if (that.checkCertification == 0) {
				uni.showToast({
					title: '实名认证审核中,无法接单',
					icon: 'none'
				})
				return
			}
			if (that.checkCertification == 2) {
				uni.showToast({
					title: '实名认证未通过,无法接单',
					icon: 'none'
				})
				return
			}

			uni.showLoading({
				title: '加载中',
				mask: true // 是否显示透明蒙层，防止触摸穿透
			})
			console.log('用户点击确定')
			that.$Request
				.postT('/app/tbindent/orderIndentReceiving', {
					acquireCode: that.shoudanma
				})
				.then((res) => {
					console.log(res, 'ppp')
					if (res.code == 0) {
						uni.showToast({
							title: '收单成功',
							icon: 'none'
						})
						// 在toast显示2000毫秒（2秒）后执行操作
						setTimeout(function () {
							that.sousuoList()
						}, 1200)
					} else {
						console.log('失败：', res.data)
						uni.showToast({
							title: res.msg,
							icon: 'none'
						})
						// that.taskData()
					}
					// 加载提示关闭
					uni.hideLoading()
				})
		},
		// 未登录接单
		bindorder1() {
			uni.showToast({
				title: '上线后方可收单',
				icon: 'none'
			})
		},
		bindridermy() {
			// #ifdef MP-WEIXIN
			if (uni.getStorageSync('sendMsg')) {
				uni.requestSubscribeMessage({
					tmplIds: this.arr,
					success(re) {
						// console.log(re,'**********')
						var datas = JSON.stringify(re)
						if (datas.indexOf('accept') != -1) {
							console.log(re)
						}
					},
					fail: (res) => {
						console.log(res)
					}
				})
			}
			// #endif
			uni.navigateTo({
				url: '/pages/riderMy/riderMy'
			})
		},
		// // 获取新任务数据
		// taskData() {
		// 	uni.showLoading({
		// 		title: '加载中',
		// 		mask: true, // 是否显示透明蒙层，防止触摸穿透
		// 	});
		// 	this.$Request.postJson('/app/tbindent/find-new-indent', {
		// 		buyTpye:"",// 购买类型 0：骑手就近购买；1：用户指定地址购买"
		// 		page: this.page2,
		// 		limit: 10,
		// 		receivingPattern: this.receivingPettern,
		// 		indentType: this.indentType,
		// 		shopId: this.shopId,
		// 		riderLat: this.latitude,
		// 		riderLng: this.longitude
		// 	}).then(res => {
		// 		uni.hideLoading()
		// 		if (res.data) {
		// 			if (res.data.list.length > 0) {
		// 				for (var i = 0; i < res.data.list.length; i++) {
		// 					if (res.data.list[i].distancess > 1000) {
		// 						res.data.list[i].distancess = Number((res.data.list[i].distancess / 1000))
		// 							.toFixed(
		// 								2) + "km"
		// 					} else {
		// 						if (res.data.list[i].distancess == '0') {
		// 							res.data.list[i].distancess = "0m";
		// 						} else {
		// 							res.data.list[i].distancess = Number(res.data.list[i].distancess).toFixed(
		// 									1) +
		// 								"m";
		// 						}
		// 					}

		// 					// if (res.data.list[i].distance > 1000) {
		// 					// 	res.data.list[i].distance = Number((res.data.list[i].distance / 1000)).toFixed(2) + "km"
		// 					// } else {
		// 					// 	if (res.data.list[i].distance == 0) {
		// 					// 		res.data.list[i].distance = "0m";
		// 					// 	} else {
		// 					// 		res.data.list[i].distance = Number(res.data.list[i].distance).toFixed(1) + "m";
		// 					// 	}
		// 					// }

		// 					if (res.data.list[i].distancessd > 1000) {
		// 						res.data.list[i].distancessd = Number((res.data.list[i].distancessd / 1000))
		// 							.toFixed(2) + "km"
		// 					} else {
		// 						if (res.data.list[i].distancessd == '0') {
		// 							res.data.list[i].distancessd = "0m";
		// 						} else {
		// 							res.data.list[i].distancessd = Number(res.data.list[i].distancessd)
		// 								.toFixed(
		// 									1) + "m";
		// 						}
		// 					}

		// 				}
		// 			}
		// 			this.totalCount2 = res.data.totalCount
		// 			if (this.page2 == 1) {
		// 				this.list_box = res.data.list
		// 			} else {
		// 				this.list_box = this.list_box.concat(res.data.list)
		// 			}
		// 			console.log('list_box', this.list_box)
		// 		}
		// 		this.$forceUpdate()
		// 		uni.stopPullDownRefresh();
		// 		// 加载提示关闭
		// 		uni.hideLoading()
		// 	});
		// },
		// 获取待取货和配送中订单
		// taskDataJ() {
		// 	uni.showLoading({
		// 		title: '加载中',
		// 		mask: true, // 是否显示透明蒙层，防止触摸穿透
		// 	});
		// 	this.$Request.getT('/app/tbindent/findRiderIndent', {
		// 		page: this.page3,
		// 		limit: 10,
		// 		indentState: this.indentState
		// 		// ol: this.longitude,
		// 		// od: this.latitude
		// 	}).then(res => {
		// 		this.totalCount3 = res.data.totalCount
		// 		if (this.page3 == 1) {
		// 			this.lists = res.data.list
		// 		} else {
		// 			this.lists = this.lists.concat(res.data.list)
		// 		}
		// 		for (var i in this.lists) {
		// 			if (this.lists[i].distanceInitial > 1000) {
		// 				this.lists[i].distanceInitials = (Number(this.lists[i].distanceInitial) / 1000)
		// 					.toFixed(2)
		// 			}
		// 			if (this.lists[i].distance > 1000) {
		// 				this.lists[i].distances = (Number(this.lists[i].distance) / 1000).toFixed(2)
		// 			}
		// 		}
		// 		console.log('lists', this.lists)
		// 		uni.stopPullDownRefresh();
		// 		// 加载提示关闭
		// 		uni.hideLoading()
		// 	});

		// },

		// 订单详情
		bindorderDetail(indentNumber, orderId) {
			// #ifdef MP-WEIXIN
			if (uni.getStorageSync('sendMsg')) {
				uni.requestSubscribeMessage({
					tmplIds: this.arr,
					success(re) {
						// console.log(re,'**********')
						var datas = JSON.stringify(re)
						if (datas.indexOf('accept') != -1) {
							console.log(re)
						}
					},
					fail: (res) => {
						console.log(res)
					}
				})
			}
			// #endif
			console.log(indentNumber, orderId)
			uni.navigateTo({
				url: '/pages/index/orderdetail/orderdetail?orderId=' + orderId + '&id=' + indentNumber
			})
		},
		//转单
		zhuanOrder(indentId) {
			this.phone = ''
			this.zhuanName = ''
			this.indentId = indentId
			this.showOrder = true
		},
		zhuandan() {
			this.$Request
				.postT('/app/tbindent/transferByOrderId', {
					acquireCode: this.shoudanma,
					phone: this.phone,
					realName: this.zhuanName
				})
				.then((res) => {
					if (res.code == 0) {
						this.phone = ''
						uni.showToast({
							title: '转单成功',
							icon: 'none'
						})
						setTimeout((d) => {
							this.showOrder = false
							this.sousuoList()
						}, 1000)
					} else {
						uni.showToast({
							title: res.msg,
							icon: 'none'
						})
					}
				})
		},
		// 取消订单
		quxiao(indentNumber) {
			// #ifdef MP-WEIXIN
			if (uni.getStorageSync('sendMsg')) {
				uni.requestSubscribeMessage({
					tmplIds: this.arr,
					success(re) {
						// console.log(re,'**********')
						var datas = JSON.stringify(re)
						if (datas.indexOf('accept') != -1) {
							console.log(re)
						}
					},
					fail: (res) => {
						console.log(res)
					}
				})
			}
			// #endif
			let that = this
			uni.showModal({
				title: '提示',
				content: '取消订单将会被扣保证金',
				success: function (res) {
					if (res.confirm) {
						uni.showLoading({
							title: '加载中',
							mask: true // 是否显示透明蒙层，防止触摸穿透
						})
						console.log('用户点击确定')
						that.$Request
							.postT('/app/tbindent/riderCancleIndent', {
								indentNumber: indentNumber
							})
							.then((res) => {
								console.log(res)
								if (res.code == 0) {
									uni.showToast({
										title: '订单已取消',
										icon: 'none'
									})
									// 在toast显示2000毫秒（2秒）后执行操作
									setTimeout(function () {
										that.sousuoList()
									}, 1200)
									// that.taskDataJ()
								} else {
									uni.showToast({
										title: res.msg,
										icon: 'none'
									})
									// that.taskDataJ()
								}
								// 加载提示关闭
								uni.hideLoading()
							})
					} else if (res.cancel) {
						console.log('用户点击取消')
					}
				}
			})
		},
		// quhuo(indentId,index) {
		// 	let that = this
		// 	// #ifdef MP-WEIXIN
		// 	if (uni.getStorageSync('sendMsg')) {
		// 		uni.requestSubscribeMessage({
		// 			tmplIds: this.arr,
		// 			success(re) {
		// 				// console.log(re,'**********')
		// 				var datas = JSON.stringify(re);
		// 				if (datas.indexOf("accept") != -1) {
		// 					console.log(re)
		// 				}
		// 			},
		// 			fail: (res) => {
		// 				console.log(res)
		// 			}
		// 		})
		// 	}
		// 	// #endif
		// 	uni.showModal({
		// 		title: '提示',
		// 		content: '确认到取货吗',
		// 		success: function(res) {
		// 			if (res.confirm) {
		// 				uni.showLoading({
		// 					title: '加载中',
		// 					mask: true, // 是否显示透明蒙层，防止触摸穿透
		// 				});
		// 				that.$Request.postJson('/app/tbindent/riderBuyGoods', {
		// 					indentId: indentId,
		// 					indentState: '4'
		// 				}).then(res => {
		// 					console.log(res)
		// 					if (res.code == 0) {
		// 						uni.showToast({
		// 							title: '确认取货成功',
		// 							icon: "none"
		// 						});
		// 						// that.indentState = 4
		// 						setTimeout(function() {
		// 							//刷新当前列，不返回分页的第一条
		// 							that.lists.splice(index,1);
		// 							// that.taskDataJ()
		// 							// that.current = 2

		// 						}, 1000)
		// 					} else {
		// 						uni.showToast({
		// 							title: res.msg,
		// 							icon: "none"
		// 						});
		// 						setTimeout(function() {
		// 							// that.taskDataJ()
		// 							// that.current = 2

		// 						}, 1000)
		// 					}
		// 					// 加载提示关闭
		// 					uni.hideLoading()
		// 				});
		// 			} else {

		// 			}
		// 		},
		// 	})

		// },
		//拍照
		paiOrder(e) {
			this.indentNumber = e.indentNumber
			this.orderId = e.orderId
			this.alertPhone = true
		},
		shouhuo(e) {
			this.indentNumber = e.indentNumber
			this.saomaPeisong = false
			// if(e.indentType==5){
			// 	this.querenSh()
			// }
			if (e.itemCodeFlag == 0 && e.indentType != 5) {
				this.shows = true
			} else {
				this.orderId = e.orderId
				this.querenduanxinList()
				//需拍照的弹出框
				this.alertduan = true
				// this.querenSh()
			}
		},
		// 图片上传
		addImages(e) {
			uni.showLoading({
				title: '加载中',
				mask: true // 是否显示透明蒙层，防止触摸穿透
			})
			if (e == 1) {
				var num = this.goodsPicture.length
				this.count = 2 - num
			}

			let that = this
			uni.chooseImage({
				count: this.count,
				sourceType: ['camera', 'album'],
				success: (res) => {
					for (let i = 0; i < res.tempFiles.length; i++) {
						//这里的id和页面中写的html代码的canvas的id要一致
						let canvasId = 'zipCanvas'
						//原图的路径
						let imagePath = res.tempFiles[i].path
						//大小限制
						let limitSize = 1024 * 2
						//初始绘画区域是画布自身的宽度也就是屏幕宽度
						let drawWidth = uni.getSystemInfoSync().windowWidth
						let that = this
						getLessLimitSizeImage(canvasId, imagePath, limitSize, drawWidth, that, (resPath) => {
							uni.showLoading({
								title: '上传中'
							})
							uni.uploadFile({
								url: that.config('APIHOST1') + '/alioss/upload',
								filePath: resPath,
								name: 'file',
								success: (uploadFileRes) => {
									if (e == 1) {
										if (that.goodsPicture.length < 2) {
											that.goodsPicture.push(JSON.parse(uploadFileRes.data).data)
										}
									}
									uni.hideLoading()
								},
								fail: () => {
									uni.showToast({
										title: '上传失败',
										icon: 'error'
									})
								}
							})
						})
					}
				}
			})
		},
		// 图片删除
		removeImg(index, texts) {
			if (texts == 'lb') {
				this.goodsPicture.splice(index, 1)
			}
		},
		config: function (name) {
			var info = null
			if (name) {
				var name2 = name.split('.') //字符分割
				if (name2.length > 1) {
					info = configdata[name2[0]][name2[1]] || null
				} else {
					info = configdata[name] || null
				}
				if (info == null) {
					let web_config = cache.get('web_config')
					if (web_config) {
						if (name2.length > 1) {
							info = web_config[name2[0]][name2[1]] || null
						} else {
							info = web_config[name] || null
						}
					}
				}
			}
			return info
		},
		// 监听拍照框关闭
		onclose() {
			this.alertPhone = false
			this.alertduan = false
			this.goodsPicture = []
		},
		//确认上传图片
		querenduanxin() {
			uni.showLoading({
				title: '加载中',
				mask: true // 是否显示透明蒙层，防止触摸穿透
			})
			var tupian = this.goodsPicture.toString()
			var indentNumber = this.indentNumber
			this.$Request
				.putT(`/app/tbindent/delivery-img/${indentNumber}`, {
					userId: uni.getStorageSync('userId'),
					// indentNumber:this.indentNumber,
					imgs: tupian
				})
				.then((res) => {
					console.log(res, 'img')
					if (res.code == 0) {
						this.alertPhone = false
						uni.showToast({
							title: '图片上传完成',
							icon: 'none'
						})
					} else {
						uni.showToast({
							title: res.msg,
							icon: 'none'
						})
					}
					// 加载提示关闭
					uni.hideLoading()
				})
		},
		// 获取确认送达短信模板
		querenduanxinList() {
			uni.showLoading({
				title: '加载中',
				mask: true // 是否显示透明蒙层，防止触摸穿透
			})
			// this.$Request.postT('/app/tb-indent-sms/template', {
			this.$Request
				.getT('/app/tb-indent-sms/template', {
					// indentNumber: this.indentNumber,
					// itemCode: this.shouhuoma
				})
				.then((res) => {
					console.log(res)
					this.duanxin = res.data.list
					if (res.code == 0) {
						this.page2 = 1
						this.page3 = 1
						// this.alertPhone = false
						this.alertduan = true
					} else {
						uni.showToast({
							title: res.msg,
							icon: 'none'
						})
					}
					// 加载提示关闭
					uni.hideLoading()
				})
		},
		querenSh() {
			// #ifdef MP-WEIXIN
			if (uni.getStorageSync('sendMsg')) {
				uni.requestSubscribeMessage({
					tmplIds: this.arr,
					success(re) {
						// console.log(re,'**********')
						var datas = JSON.stringify(re)
						if (datas.indexOf('accept') != -1) {
							console.log(re)
						}
					},
					fail: (res) => {
						console.log(res)
					}
				})
			}
			// #endif
			let that = this
			// var date = new Date();
			// var year = date.getFullYear();
			// let Rcode = year + that.shouhuoma
			// that.$Request.postT('/app/tbindent/riderDelivery', {
			uni.showLoading({
				title: '加载中',
				mask: true // 是否显示透明蒙层，防止触摸穿透
			})
			this.$Request
				.postJson('/app/tbindent/orderRiderDelivery', {
					smsTemplateId: that.duanxin[0].id,
					// indentNumber: that.indentNumber,
					acquireCode: that.shoudanma
					// imgs:'',
					// itemCode: Rcode
					// itemCode: that.shouhuoma
				})
				.then((res) => {
					console.log(res)
					that.shouhuoma = ''
					if (res.code == 0) {
						uni.showToast({
							title: '订单完成',
							icon: 'none'
						})
						// 在toast显示2000毫秒（2秒）后执行操作
						setTimeout(function () {
							that.alertduan = false
							that.shows = false
							that.list_box = []
							that.sousuoList()
						}, 1200)
					} else {
						uni.showToast({
							title: res.msg,
							icon: 'none'
						})
						// 在toast显示2000毫秒（2秒）后执行操作
						setTimeout(function () {
							that.sousuoList()
						}, 1200)
					}
					// 加载提示关闭
					uni.hideLoading()
				})
		},
		// 开启订阅消息
		openMsg() {
			console.log('订阅消息')
			var that = this
			uni.getSetting({
				withSubscriptions: true, //是否获取用户订阅消息的订阅状态，默认false不返回
				success(ret) {
					console.log(ret.subscriptionsSetting, '------------------')
					// if (ret.subscriptionsSetting.itemSettings && Object.keys(ret.subscriptionsSetting.itemSettings).length == 2) {
					if (ret.subscriptionsSetting.itemSettings) {
						uni.setStorageSync('sendMsg', true)
						uni.openSetting({
							// 打开设置页
							success(rea) {
								console.log(rea.authSetting)
							}
						})
					} else {
						// 用户没有点击“总是保持以上，不再询问”则每次都会调起订阅消息
						uni.setStorageSync('sendMsg', false)
						uni.showModal({
							title: '提示',
							content: '为了更好的体验,请绑定消息推送',
							confirmText: '确定',
							cancelText: '取消',
							success: function (res) {
								if (res.confirm) {
									wx.requestSubscribeMessage({
										tmplIds: that.arr,
										success(re) {
											var datas = JSON.stringify(re)
											if (datas.indexOf('accept') != -1) {
												console.log(re)
												// uni.setStorageSync('sendMsg', true)
											}
										},
										fail: (res) => {
											console.log(res)
										}
									})
									// uni.setStorageSync('sendMsg', true)

									that.showModal111 = false
								} else if (res.cancel) {
									console.log('取消')
									// uni.setStorageSync('sendMsg', false)
									that.showModal111 = true
								}
							}
						})
					}
				}
			})
		}
	},
	// 上拉加载
	onReachBottom: function () {
		if (this.list_box.length < this.totalCount2) {
			this.page2 = this.page2 + 1
			// this.indentState = 4
			this.sousuoList()
		} else {
			uni.showToast({
				title: '已经最后一页啦',
				icon: 'none'
			})
		}
	},
	onPullDownRefresh: function () {
		this.page2 = 1
		this.sousuoList()
	}
}
</script>

<style>
body {
	background: #f5f5f5;
}

.privacy {
	position: fixed;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	background: rgba(0, 0, 0, 0.5);
	z-index: 9999999;
	display: flex;
	align-items: center;
	justify-content: center;
}

.contentview {
	width: 632rpx;
	padding: 48rpx;
	box-sizing: border-box;
	background: #fff;
	border-radius: 16rpx;
}

.contentview .title {
	text-align: center;
	color: #333;
	font-weight: bold;
	font-size: 32rpx;
}

.contentview .des {
	font-size: 26rpx;
	color: #666;
	margin-top: 40rpx;
	text-align: justify;
	line-height: 1.6;
}

.contentview .des .link {
	color: #07c160;
	text-decoration: underline;
}

button::after {
	border: none;
}

.btns {
	margin-top: 48rpx;
	display: flex;
}

.btns .item {
	justify-content: space-between;
	width: 244rpx;
	height: 80rpx;
	display: flex;
	align-items: center;
	justify-content: center;
	border-radius: 16rpx;
	box-sizing: border-box;
	border: none;
}

.btns .reject {
	background: #f4f4f5;
	color: #909399;
}

.btns .agree {
	background: #07c160;
	color: #fff;
}
.impute {
	text-align: center;
	margin-left: 4%;
	margin-top: 20rpx;
	width: 690rpx;
	height: 100rpx;
	opacity: 1;
	border-radius: 190rpx;
	background: rgba(245, 245, 245, 1);
	border: 1rpx solid rgba(241, 135, 49, 1);
}
/* 返回 */
.box_btn5 {
	margin-top: 10rpx;
	width: 16%;
	margin-left: 40rpx;
	background: #ff7f00;
	height: 60rpx;
	color: white;
	text-align: center;
	line-height: 60rpx;
	font-size: 31rpx;
	letter-spacing: 2rpx;
	border-radius: 8rpx;
}
.content {
	margin-top: 50rpx;
	min-height: 100vh; /* 设置最小高度为视口高度 */
}

.slot-wrap {
	display: flex;
	justify-content: center;
	align-items: center;
	/* 如果您想让slot内容占满整个导航栏的宽度 */
	/* flex: 1; */
	/* 如果您想让slot内容与导航栏左右有空隙 */
	/* padding: 0 30rpx; */
}

.u-title {
	color: #000000 !important;
	font-size: 31rpx !important;
	font-weight: bold !important;
}

.solt {
	position: relative;
}

.slot_left {
	width: 60rpx;
	height: 60rpx;
	position: absolute;
	top: 15rpx;
	left: 20rpx;
}

.slot_left image {
	width: 60rpx;
	height: 60rpx;
}

.slot_content {
	width: 35rpx;
	height: 35rpx;
	position: absolute;
	top: 26rpx;
	left: 280rpx;
}

.slot_content image {
	width: 35rpx;
	height: 35rpx;
}

/* tabs */
.u-tab-item {
	color: #333333 !important;
	/* font-size: 26rpx !important; */
	letter-spacing: 2rpx;
}

.u-tab-bar {
	width: 65rpx !important;
	height: 8rpx !important;
	background-color: #ff7f00 !important;
	border-radius: 0rpx !important;
	position: absolute !important;
	bottom: 0rpx !important;
	left: -14rpx !important;
}

.tabs_box {
	display: none;
	padding-bottom: 120rpx;
}

.dis {
	display: block;
	width: 100%;
	margin-bottom: 190rpx;
}

.list_box1 {
	width: 90%;
	margin: 0 auto;
	height: auto;
	background: #ffffff;
	border-radius: 23rpx;
	box-shadow: 0rpx 5rpx 5rpx 0rpx rgba(198, 186, 181, 0.2);
	margin-top: 20rpx;
	padding-bottom: 20rpx;
}

.list_box {
	width: 90%;
	margin: 0 auto;
	height: auto;
	background: #ffffff;
	border-radius: 23rpx;
	box-shadow: 0rpx 5rpx 5rpx 0rpx rgba(0, 0, 0, 0.25);
	margin-top: 20rpx;
	padding-bottom: 20rpx;
}
.list_box2 {
	width: 90%;
	margin: 0 auto;
	height: auto;
	background: #ffffff;
	border-radius: 23rpx;
	box-shadow: 0rpx 5rpx 5rpx 0rpx rgba(198, 186, 181, 0.2);
	margin-top: 20rpx;
}
.order_title {
	width: 90%;
	margin: 0 auto;
	border-radius: 14px 14px, 0px, 0px;
	background: rgba(255, 239, 222, 1);
	height: 40upx;
	color: rgba(255, 141, 26, 1);
	font-size: 24upx;
	line-height: 40upx;
	text-align: center;
}

.part1 {
	width: 90%;
	margin: 0 auto;
	justify-content: left;
	align-items: center;
	display: flex;
	height: 100rpx;
	position: relative;
}

.box_one {
	background: #c4e2ff;
	color: #359cff;
	/* width: 60px;
		height: 45rpx; */
	padding: 0px 10px;
	font-size: 26rpx;
	text-align: center;
	line-height: 45rpx;
	border-radius: 5rpx;
}

.box_four {
	color: #666666;
	border: 1rpx solid #666666;
	font-size: 22rpx;
	width: 95px;
	height: 40rpx;
	text-align: center;
	line-height: 40rpx;
	border-radius: 5rpx;
	margin-left: 20rpx;
}

.box_two {
	color: #666666;
	border: 1rpx solid #666666;
	font-size: 22rpx;
	/* width: 60px; */
	height: 40rpx;
	text-align: center;
	line-height: 40rpx;
	border-radius: 5rpx;
	margin-left: 20rpx;
	padding: 0 10rpx;
}

.box_two1 {
	width: auto;
	padding: 0 10rpx;
}

.box_three {
	color: #666666;
	border: 1rpx solid #666666;
	font-size: 22rpx;
	width: 75px;
	height: 40rpx;
	text-align: center;
	line-height: 40rpx;
	border-radius: 5rpx;
	margin-left: 20rpx;
}

.part2 {
	width: 90%;
	margin: 0 auto;
}

/* 下线 */
.address_name {
	font-size: 28rpx;
	font-weight: bold;
	letter-spacing: 2rpx;
	/* line-height: 60rpx; */
	display: -webkit-box;
	-webkit-box-orient: vertical;
	-webkit-line-clamp: 1;
	overflow: hidden;
}

.name {
	color: #999999;
	font-size: 21rpx;
}

.name text {
	/* margin-left: 10rpx; */
}

/* 上线 */
.box_add {
	display: flex;
}

.distance {
	flex: 1;
	/* text-align: center; */
	font-size: 28rpx;
	display: flex;
	justify-content: left;
	align-items: center;
}

.a {
	font-size: 16rpx;
}

.add_name {
	/* display: flex; */
	flex: 4;
}

.sh_name {
	font-size: 28rpx;
	font-weight: bold;
	letter-spacing: 2rpx;
}

.sh_name1 {
	font-size: 28rpx;
	font-weight: bold;
	letter-spacing: 2rpx;
	color: #999999;
}

.xs_add {
	color: #999999;
	font-size: 21rpx;
	margin-top: 10rpx;
}

.jiantou {
	margin-left: 43rpx;
	display: flex;
	/* justify-content: space-between; */
	align-items: center;
	height: 40px;
	line-height: 40px;
}

.jiantou image {
	width: 20rpx;
	height: 40rpx;
}

.jiantou > view {
	margin-left: 10rpx;
}

.part3 {
	width: 90%;
	margin: 0 auto;
	display: flex;
}

.three_left {
	flex: 1;
	height: 100rpx;
	display: flex;
	justify-content: left;
	align-items: center;
}

.three_left image {
	width: 20px;
	height: 20px;
}

.three_left text {
	color: #ff7f00;
	font-size: 25rpx;
	margin-left: 10rpx;
}

.three_right {
	/* flex: 1; */
	height: 100rpx;
	display: flex;
	justify-content: flex-end;
	align-items: center;
	color: #ff7f00;
	font-size: 32rpx;
	font-weight: bold;
}

.part4 {
	width: 90%;
	margin: 0 auto;
}

.box_btn {
	width: 100%;
	background: #cccccc;
	height: 70rpx;
	color: white;
	text-align: center;
	line-height: 70rpx;
	font-size: 26rpx;
	letter-spacing: 2rpx;
	border-radius: 8rpx;
}

.box_btn1 {
	width: 100%;
	background: #ff7f00;
	height: 80rpx;
	color: white;
	text-align: center;
	line-height: 80rpx;
	font-size: 31rpx;
	letter-spacing: 2rpx;
	border-radius: 8rpx;
}

.part_six {
	width: 90%;
	margin: 0 auto;
	display: flex;
}

.phone {
	flex: 1;
}

.phone image {
	width: 29rpx;
	height: 33rpx;
	margin-left: 30rpx;
}

.conmm {
	font-size: 19rpx;
	text-align: center;
	letter-spacing: 5rpx;
}

.box_btn2 {
	flex: 5;
	width: 100%;
	background: #ff7f00;
	height: 70rpx;
	color: white;
	text-align: center;
	line-height: 70rpx;
	font-size: 26rpx;
	letter-spacing: 2rpx;
	border-radius: 6rpx;
}

/* tabbar */
.tabbar {
	position: fixed;
	bottom: 0rpx;
	left: 0rpx;
	right: 0rpx;
	width: 100%;
	height: 100rpx;
	background: #ffffff;
	display: flex;
}

.tabbar_type {
	flex: 1;
	text-align: center;
	font-size: 22rpx;
	margin-top: 10rpx;
}

.type_image {
	width: 100%;
	display: flex;
	justify-content: center;
	align-items: center;
}

.type_image image {
	width: 47rpx;
	height: 47rpx;
}

.tabbar_btn {
	flex: 4;
	display: flex;
	justify-content: center;
	align-items: center;
}

.btn {
	width: 90%;
	height: 80rpx;
	background: #ff7f00;
	color: white;
	text-align: center;
	line-height: 80rpx;
	font-size: 26rpx;
	letter-spacing: 2rpx;
	border-radius: 8rpx;
}

.btn3 {
	width: 90%;
	height: 80rpx;
	background: #cccccc;
	color: white;
	text-align: center;
	line-height: 80rpx;
	font-size: 26rpx;
	letter-spacing: 2rpx;
	border-radius: 8rpx;
}

/* 接单设置弹框 */
.u-drawer-bottom {
	background-color: #f5f5f5 !important;
}

.popup_box {
	width: 90%;
	margin: 0 auto;
	margin-top: 35rpx;
}

.title {
	font-size: 29rpx;
	font-weight: bold;
	letter-spacing: 2rpx;
}

.part_one {
	width: 100%;
	background: #ffffff;
	margin-top: 18rpx;
	border-radius: 20rpx;
	display: flex;
	height: 120rpx;
}

.left {
	flex: 3;
	line-height: 40rpx;
	margin-left: 20rpx;
	margin-top: 20rpx;
}

.gotype {
	font-size: 26rpx;
	font-weight: bold;
	letter-spacing: 2rpx;
}

.tit {
	color: #999999;
	font-size: 22rpx;
	letter-spacing: 2rpx;
}

.right {
	flex: 1;
	display: flex;
	justify-content: flex-end;
	align-items: center;
	margin-right: 30rpx;
}

.part_two {
	width: 100%;
	margin: 0 auto;
	background: #ffffff;
	border-radius: 20rpx;
	margin-top: 20rpx;
	height: 130rpx;
	display: flex;
}

.two_left {
	flex: 1;
	display: flex;
	justify-content: left;
	align-items: center;
	margin-left: 30rpx;
	font-size: 29rpx;
	font-weight: bold;
	letter-spacing: 2rpx;
}

.two_right {
	flex: 1;
	display: flex;
	justify-content: flex-end;
	align-items: center;
	margin-right: 30rpx;
	color: #999999;
	font-size: 25rpx;
	letter-spacing: 2rpx;
}

.slot-content {
	padding: 30rpx;
}

/*  */
.tabs_box {
	display: none;
}

.dis {
	display: block;
	width: 100%;
}

.u-tab-item {
	/* font-size: 26upx !important; */
	/* color: #666666 !important; */
}

.success_box {
	width: 100%;
}

.order_box {
	width: 90%;
	margin: 0 auto;
	/* height: 420rpx; */
	background: #ffffff;
	margin-top: 20rpx;
	border-radius: 16px;
}

.order_success {
	width: 90%;
	margin: 0 auto;
	display: flex;
	height: 80upx;
}

.order_name {
	flex: 1;
	display: flex;
	justify-content: left;
	align-items: center;
	font-weight: bold;
	font-size: 29rpx;
	letter-spacing: 1upx;
}

.order_data {
	flex: 1;
	color: #999999;
	display: flex;
	justify-content: flex-end;
	align-items: center;
	font-size: 26rpx;
}

.city_type {
	width: 90%;
	margin: 0 auto;
	height: 60upx;
	line-height: 60upx;
	display: flex;
	justify-content: left;
	align-items: center;
}

.type_name {
	font-size: 27rpx;
}

.city_text {
	width: 70rpx;
	line-height: 36rpx;
	color: #49a5ff;
	background: #c4e2ff;
	text-align: center;
	font-size: 19rpx;
	margin-left: 20rpx;
}

.city_address {
	width: 92%;
	margin: 0 auto;
	margin-top: -10rpx;
}

/* 发货地址 */
.fh_box {
	display: flex;
	/* height: 80upx; */
	margin-top: 20upx;
}

.fh_image {
	flex: 1;
	display: flex;
	/* justify-content: left;
		align-items: center; */
}

.box {
	flex: 9;
}

.fh_name {
	font-size: 26rpx;
	font-weight: 600;
	letter-spacing: 2upx;
}

.fh_type {
	color: #999999;
	font-size: 22upx;
}

.fh_type text {
	margin-left: 20upx;
}

/* 送货地址 */
.sh_box {
	display: flex;
	margin-bottom: 14upx;
	margin-top: 14rpx;
}

.sh_image {
	flex: 1;
	display: flex;
	/* justify-content: left;
		align-items: center; */
}

.sh_name {
	font-size: 28rpx;
	font-weight: 600;
	letter-spacing: 2upx;
}

.sh_type {
	color: #999999;
	font-size: 22upx;
}

.sh_type text {
	margin-left: 20upx;
}

.fh_image image {
	width: 40rpx;
	height: 40rpx;
}

.sh_image image {
	width: 40rpx;
	height: 40rpx;
}

.order_btn {
	display: flex;
	justify-content: flex-end;
	align-items: center;
	height: 100upx;
	line-height: 100upx;
	/* margin-top: 8upx; */
}

.btn1 {
	width: 170upx;
	font-size: 28rpx;
	line-height: 60upx;
	text-align: center;
	border: 1upx solid #9c9c9c;
	border-radius: 20upx;
	color: #9c9c9c;
	margin-right: 30upx;
}

/* 拍照 */
.btn_pai {
	width: 150rpx;
	height: 60rpx;
	line-height: 60rpx;
	text-align: center;
	background: rgba(255, 201, 189, 1);
	font-size: 28rpx;
	border: 2rpx solid rgba(255, 201, 189, 1);
	color: #333333;
	border-radius: 20upx;
	font-weight: 700;
	margin-left: 15rpx;
}
.btn2 {
	width: 170upx;
	line-height: 60upx;
	color: white;
	background: #ff6a04;
	font-size: 28rpx;
	text-align: center;
	margin-right: 30upx;
	border-radius: 20upx;
}

/* 收货码弹框 */
.receipt_code {
	width: 90%;
	margin: 0 auto;
}

.code_title {
	width: 100%;
	line-height: 100rpx;
	font-size: 31rpx;
	font-weight: bold;
	text-align: center;
	letter-spacing: 2rpx;
	margin-top: 21rpx;
	margin-bottom: 25rpx;
}

.u-input--border {
	border: 1px solid #f2f2f2 !important;
	background: #f2f2f2 !important;
	color: #999999 !important;
	font-weight: 500 !important;
	letter-spacing: 2rpx !important;
}

.u-input__input {
	font-size: 30rpx;
	font-weight: bold;
	flex: 1;
	color: #999999 !important;
	min-height: 85rpx !important;
	margin-top: 7rpx;
}

.sure {
	width: 100%;
	height: 80rpx;
	background: #ff7f00;
	color: white;
	border-radius: 46rpx;
	text-align: center;
	line-height: 80rpx;
	margin-top: 30rpx;
	letter-spacing: 2rpx;
}
/* 确认送达拍照框 */
.phone_title {
	margin-top: 10px;
	width: 100%;
	height: 40px;
	/* background-color: #FF7F00; */
	text-align: center;
	line-height: 40px;
	/* color:#FFFFFF; */
}
.phone_title2 {
	margin-top: 10px;
	text-align: center;
	color: #9d9d9d;
}
.code_title2 {
	width: 100%;
	line-height: 50rpx;
	text-align: center;
	letter-spacing: 2rpx;
	margin-top: 21rpx;
	margin-bottom: 25rpx;
}
</style>
